Bug 828809 - Review Request: drupal6-emfield - Embedded Media Field module for Drupal6
Review Request: drupal6-emfield - Embedded Media Field module for Drupal6
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wesley Hearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 08:21 EDT by Anderson Silva
Modified: 2013-03-23 09:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 23:00:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
whearn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anderson Silva 2012-06-05 08:21:19 EDT
Spec URL: http://people.redhat.com/~ansilva/drupal6-emfield.spec
SRPM URL: http://people.redhat.com/~ansilva/drupal6-emfield-2.5-3.fc16.src.rpm
Description: This extensible module will create fields for content types that can be used to display video, image, and audio files from various third party providers.
Fedora Account System Username: afsilva
Comment 1 Wesley Hearn 2012-08-08 05:08:02 EDT
[04:14 AM] 
[0]whearn@Pluto:~/rpmbuild/SOURCES $ curl http://ftp.drupal.org/files/projects/emfield-6.x-2.5.tar.gz | sha256sum 
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  203k  100  203k    0     0   256k      0 --:--:-- --:--:-- --:--:--  306k
4c7c27819c1ef0387e51fa87557662c3e9c47145625cca2a6c018eeffcc20659  -
[04:14 AM] 
[0]whearn@Pluto:~/rpmbuild/SOURCES $ sha256sum emfield-6.x-2.5.tar.gz 
4c7c27819c1ef0387e51fa87557662c3e9c47145625cca2a6c018eeffcc20659  emfield-6.x-2.5.tar.gz

[04:17 AM] 
[0]whearn@Pluto:/var/lib/mock/fedora-17-x86_64/result $ rpmlint drupal6-emfield-2.5-3.fc17.*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[O] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[O] MUST: The package must be named according to the Package Naming Guidelines .
[O] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
[O] MUST: The package must meet the Packaging Guidelines .
[O] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[O] MUST: The License field in the package spec file must match the actual license. 
[O] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[O] MUST: The spec file must be written in American English. 
[O] MUST: The spec file for the package MUST be legible. 
[O] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[O] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[O] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[O] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[O] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[O] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[O] MUST: Packages must NOT bundle copies of system libraries.
[O] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[O] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[O] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[O] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[O] MUST: Each package must consistently use macros. 
[O] MUST: The package must contain code, or permissable content. 
[O] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[O] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[O] MUST: Static libraries must be in a -static package. 
[O] MUST: Development files must be in a -devel package. 
[O] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
[O] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[O] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[O] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[O] MUST: All filenames in rpm packages must be valid UTF-8.

PASS

While this passes I would prefer that you had 1 require per line so in this case it would be 
Requires:  drupal6
Requires:  drupal6-cck
I think it is cleaner like that. But this is only a suggestion.
Comment 2 Anderson Silva 2012-08-08 09:21:06 EDT
New Package SCM Request
=======================
Package Name: drupal6-emfield
Short Description: Embedded Media Field module for Drupal6
Owners: afsilva
Branches: f17 f18 el6
Comment 3 Gwyn Ciesla 2012-08-08 09:45:39 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2012-08-09 14:00:19 EDT
drupal6-emfield-2.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-emfield-2.5-3.el6
Comment 5 Fedora Update System 2012-08-09 14:07:08 EDT
drupal6-emfield-2.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/drupal6-emfield-2.5-3.fc17
Comment 6 Fedora Update System 2012-08-10 14:40:09 EDT
drupal6-emfield-2.5-3.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 7 Fedora Update System 2012-08-24 23:00:44 EDT
drupal6-emfield-2.5-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 8 Fedora Update System 2012-08-25 16:00:55 EDT
drupal6-emfield-2.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 9 Shawn Iwinski 2013-03-23 01:13:30 EDT
Package Change Request
======================
Package Name: drupal6-emfield
New Branches: el5
Owners: ansilva siwinski
InitialCC: 

Adding el5 branch to follow most other drupal6 packages.
Comment 10 Gwyn Ciesla 2013-03-23 09:07:06 EDT
Git done (by process-git-requests).

FYI, you put ansilva instead of afsilva for all of these. . .

Note You need to log in before you can comment on or make changes to this bug.